#include <bits/stdc++.h>
using namespace std ;

long long ans ;

void rec( long long a, long long b ){
  ans += a*b ;
  if ( a > 1 ){
    long long a1 = a/2 ;
    long long a2 = (a+1)/2 ;
    rec(a1,b) ;
    rec(a2,b) ;
  }
  else if( b > 1 ){
    long long b1 = b/2 ;
    long long b2 = (b+1)/2 ;
    rec(a,b1) ;
    rec(a,b2) ;
  }
}

int main(){
  long long a,b ;
  cin >> a >> b ;
  rec(a,b) ;
  cout << ans ;
}